Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -3520,25 +3866,23 @@
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3548,10 +3892,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3559,17 +3911,10 @@
         </ImagerySection>
     </WidgetLook>
-
-
-	<!--
-    ***************************************************
-        WindowsLook/Static
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Static">
-		<PropertyDefinition name="FrameColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" redrawOnWrite="true" />
-        <PropertyDefinition name="TextPadding" initialValue="0" redrawOnWrite="true" />
-        <PropertyDefinition name="HorzFormatting" initialValue="LeftAligned" redrawOnWrite="true" />
-        <PropertyDefinition name="VertFormatting" initialValue="CentreAligned" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="FrameColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="0" name="TextPadding" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="LeftAligned" name="HorzFormatting" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="CentreAligned" name="VertFormatting" redrawOnWrite="true" />
         <Property name="BackgroundEnabled" value="True" />
         <Property name="FrameEnabled" value="True" />
@@ -3584,19 +3929,17 @@
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-							<DimOperator op="Subtract">
-								<PropertyDim name="TextPadding" />
-							</DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-							<DimOperator op="Subtract">
-								<PropertyDim name="TextPadding" />
-							</DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <PropertyDim name="TextPadding" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <PropertyDim name="TextPadding" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 <VertFormatProperty name="VertFormatting" />
                 <HorzFormatProperty name="HorzFormatting" />
@@ -3626,5 +3969,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3633,5 +3976,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3640,5 +3983,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background_noframe">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3647,22 +3990,15 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background_noframe">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/StaticImage
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/StaticImage">
-		<PropertyDefinition name="ImageColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-		<PropertyDefinition name="FrameColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" redrawOnWrite="true" />
-        <PropertyDefinition name="VertFormatting" initialValue="Stretched" redrawOnWrite="true" />
-        <PropertyDefinition name="HorzFormatting" initialValue="Stretched" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="ImageColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="FrameColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="VertFormatting" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="HorzFormatting" redrawOnWrite="true" />
         <Property name="BackgroundEnabled" value="True" />
         <Property name="FrameEnabled" value="True" />
@@ -3670,23 +4006,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
-                        <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge" >
-                        <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
-                    </Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1.0" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1.0" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                        </OperatorDim>
                     </Dim>
                 </Area>
@@ -3700,8 +4034,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="Image" />
@@ -3726,5 +4068,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3733,16 +4075,9 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
         </StateImagery>
         <StateImagery name="NoFrameEnabledBackground">
-            <Layer>
-                <Section look="WindowsLook/StaticShared" section="background_noframe">
-					<ColourRectProperty name="BackgroundColours" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="NoFrameDisabledBackground">
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background_noframe">
@@ -3751,4 +4086,11 @@
             </Layer>
         </StateImagery>
+        <StateImagery name="NoFrameDisabledBackground">
+            <Layer>
+                <Section look="WindowsLook/StaticShared" section="background_noframe">
+                    <ColourRectProperty name="BackgroundColours" />
+                </Section>
+            </Layer>
+        </StateImagery>
         <StateImagery name="WithFrameImage">
             <Layer>
@@ -3762,14 +4104,7 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/StaticText
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/StaticText">
-        <PropertyDefinition name="FrameColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="FrameColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" name="BackgroundColours" redrawOnWrite="true" />
         <Property name="BackgroundEnabled" value="True" />
         <Property name="FrameEnabled" value="True" />
@@ -3777,23 +4112,21 @@
         <NamedArea name="WithFrameTextRenderArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -3801,19 +4134,18 @@
         <NamedArea name="WithFrameTextRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -3821,19 +4153,18 @@
         <NamedArea name="WithFrameTextRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -3841,15 +4172,15 @@
         <NamedArea name="WithFrameTextRenderAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -3857,14 +4188,14 @@
         <NamedArea name="NoFrameTextRenderArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="RightEdge" >
-					<UnifiedDim scale="1.0" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
                     <UnifiedDim scale="1.0" type="BottomEdge" />
                 </Dim>
@@ -3873,15 +4204,15 @@
         <NamedArea name="NoFrameTextRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="RightEdge" >
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
                     <UnifiedDim scale="1.0" type="RightEdge" />
                 </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="BottomEdge" />
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -3889,14 +4220,14 @@
         <NamedArea name="NoFrameTextRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
                     <UnifiedDim scale="1.0" type="BottomEdge" />
                 </Dim>
@@ -3905,33 +4236,49 @@
         <NamedArea name="NoFrameTextRenderAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-16" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-16" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -3952,5 +4299,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3959,5 +4306,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3966,5 +4313,5 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background_noframe">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
@@ -3973,29 +4320,30 @@
             <Layer>
                 <Section look="WindowsLook/StaticShared" section="background_noframe">
-					<ColourRectProperty name="BackgroundColours" />
+                    <ColourRectProperty name="BackgroundColours" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/TabButton
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/TabButton">
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FF000010" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000010" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
